Debian Bug report logs - #666736
iceweasel: Corrupt text rendering after 10.0.3esr-3

version graph

Package: libcairo2; Maintainer for libcairo2 is Dave Beckett <dajobe@debian.org>; Source for libcairo2 is src:cairo.

Reported by: Nicos Gollan <gtdev@spearhead.de>

Date: Sun, 1 Apr 2012 12:09:30 UTC

Severity: normal

Merged with 667463, 668215, 668373

Found in version cairo/1.12.0-1

Done: Mate Miklos <mtmkls@freemail.hu>

Bug is archived. No further changes may be made.

Toggle useless messages

View this report as an mbox folder, status mbox, maintainer mbox


Report forwarded to debian-bugs-dist@lists.debian.org, Maintainers of Mozilla-related packages <pkg-mozilla-maintainers@lists.alioth.debian.org>:
Bug#666736; Package iceweasel. (Sun, 01 Apr 2012 12:09:35 GMT) Full text and rfc822 format available.

Acknowledgement sent to Nicos Gollan <gtdev@spearhead.de>:
New Bug report received and forwarded. Copy sent to Maintainers of Mozilla-related packages <pkg-mozilla-maintainers@lists.alioth.debian.org>. (Sun, 01 Apr 2012 12:09:36 GMT) Full text and rfc822 format available.

Message #5 received at submit@bugs.debian.org (full text, mbox):

From: Nicos Gollan <gtdev@spearhead.de>
To: Debian Bug Tracking System <submit@bugs.debian.org>
Subject: iceweasel: Corrupt text rendering after 10.0.3esr-3
Date: Sun, 01 Apr 2012 13:54:06 +0200
[Message part 1 (text/plain, inline)]
Package: iceweasel
Version: 11.0-4
Severity: important

Dear Maintainer,

After updating from 10.0.3esr-2 to 10.0.3esr-3, I am seeing a lot of
corrupted text rendering. Spans of text (like a line, a range from the
beginning of a line up to a change in formatting, ...) will be randomly
corrupted, ranging from strong slanting like the pitch of a pixmap is
wrong, to complete garbage instead of text. On some pages like iGoogle,
the exact location and nature of the corruption changes with DOM events.

I tried updating to 11.0-4 from experimental with no effect.

Running in safe mode does not change things.

Iceweasel is so far the only application that's affected.

-- Package-specific info:

-- Extensions information
Name: Adblock Plus
Location: ${PROFILE_EXTENSIONS}/{d10d0bf8-f5b5-c8b4-a8b2-2b9879e08c5d}.xpi
Status: enabled

Name: British English Dictionary
Location: ${PROFILE_EXTENSIONS}/en-GB@dictionaries.addons.mozilla.org
Status: enabled

Name: Default theme
Location: /usr/lib/iceweasel/extensions/{972ce4c6-7e08-4474-a285-3208198ce6fd}
Package: iceweasel
Status: enabled

Name: Exif Viewer
Location: ${PROFILE_EXTENSIONS}/exif_viewer@mozilla.doslash.org.xpi
Status: enabled

Name: Firebug
Location: ${PROFILE_EXTENSIONS}/firebug@software.joehewitt.com.xpi
Status: enabled

Name: FxIF
Location: ${PROFILE_EXTENSIONS}/{11483926-db67-4190-91b1-ef20fcec5f33}.xpi
Status: enabled

Name: German Dictionary
Location: ${PROFILE_EXTENSIONS}/de-DE@dictionaries.addons.mozilla.org
Status: enabled

Name: Live HTTP headers
Location: ${PROFILE_EXTENSIONS}/{8f8fe09b-0bd3-4470-bc1b-8cad42b8203a}
Status: user-disabled

Name: Locationbar²
Location: ${PROFILE_EXTENSIONS}/locationbar2@design-noir.de.xpi
Status: user-disabled

Name: Poster
Location: ${PROFILE_EXTENSIONS}/{d48a39ba-8f80-4fce-8ee1-bc710561c55d}.xpi
Status: enabled

Name: Status-4-Evar
Location: ${PROFILE_EXTENSIONS}/status4evar@caligonstudios.com.xpi
Status: user-disabled

Name: United States English Spellchecker
Location: ${PROFILE_EXTENSIONS}/en-US@dictionaries.addons.mozilla.org
Status: enabled

Name: Wörterbuch Deutsch (de-DE), Hunspell-unterstützt
Location: ${PROFILE_EXTENSIONS}/de_DE@dicts.j3e.de
Status: enabled

Name: Web Developer
Location: ${PROFILE_EXTENSIONS}/{c45c406e-ab73-11d8-be73-000a95be3b12}
Status: enabled

-- Plugins information
Name: Java(TM) Plug-in 1.6.0_26
Location: /usr/lib/jvm/java-6-sun-1.6.0.26/jre/lib/amd64/libnpjp2.so
Package: sun-java6-bin
Status: enabled

Name: Shockwave Flash
Location: /usr/lib/flashplugin-nonfree/libflashplayer.so
Status: enabled

Name: Skype Buttons for Kopete
Location: /usr/lib/mozilla/plugins/skypebuttons.so
Package: kopete
Status: disabled


-- Addons package information
ii  iceweasel      11.0-4         Web browser based on Firefox
ii  kopete         4:4.7.4-2+b1   instant messaging and chat application
ii  sun-java6-bin  6.26-3         Sun Java(TM) Runtime Environment (JRE) 6 (ar

-- System Information:
Debian Release: wheezy/sid
  APT prefers unstable
  APT policy: (700, 'unstable'), (500, 'experimental')
Architecture: amd64 (x86_64)

Kernel: Linux 3.2.13 (SMP w/6 CPU cores)
Locale: LANG=en_US.UTF-8, LC_CTYPE=en_US.UTF-8 (charmap=UTF-8)
Shell: /bin/sh linked to /bin/dash

Versions of packages iceweasel depends on:
ii  debianutils         4.3
ii  fontconfig          2.8.0-3.1
ii  libc6               2.13-27
ii  libgdk-pixbuf2.0-0  2.26.0-2
ii  libglib2.0-0        2.32.0-3
ii  libgtk2.0-0         2.24.10-1
ii  libnspr4-0d         4.9-1
ii  libstdc++6          4.7.0-1
ii  procps              1:3.3.2-3
ii  xulrunner-11.0      11.0-4

iceweasel recommends no packages.

Versions of packages iceweasel suggests:
ii  libgssapi-krb5-2    1.10+dfsg~beta1-2
ii  mozplugger          <none>
ii  ttf-lyx             2.0.3-2
ii  ttf-mathematica4.1  <none>
ii  xfonts-mathml       4

Versions of packages xulrunner-11.0 depends on:
ii  libasound2                1.0.25-2
ii  libatk1.0-0               2.4.0-1
ii  libbz2-1.0                1.0.6-1
ii  libc6                     2.13-27
ii  libcairo2                 1.12.0-2
ii  libdbus-1-3               1.5.12-1
ii  libdbus-glib-1-2          0.98-1
ii  libevent-2.0-5            2.0.18-stable-1
ii  libfontconfig1            2.8.0-3.1
ii  libfreetype6              2.4.9-1
ii  libgcc1                   1:4.7.0-1
ii  libgdk-pixbuf2.0-0        2.26.0-2
ii  libglib2.0-0              2.32.0-3
ii  libgtk2.0-0               2.24.10-1
ii  libhunspell-1.3-0         1.3.2-4
ii  libjpeg8                  8d-1
ii  libmozjs11d               11.0-4
ii  libnotify4                0.7.5-1
ii  libnspr4-0d               4.9-1
ii  libnss3-1d                3.13.3-1
ii  libpango1.0-0             1.30.0-1
ii  libpixman-1-0             0.24.4-1
ii  libreadline6              6.2-8
ii  libsqlite3-0              3.7.11-2
ii  libstartup-notification0  0.12-1
ii  libstdc++6                4.7.0-1
ii  libvpx1                   1.0.0-2
ii  libx11-6                  2:1.4.4-4
ii  libxext6                  2:1.3.0-3
ii  libxrender1               1:0.9.6-2
ii  libxt6                    1:1.1.1-2
ii  zlib1g                    1:1.2.6.dfsg-2

Versions of packages xulrunner-11.0 suggests:
ii  libcanberra0  0.28-3
ii  libgnomeui-0  2.24.5-2

-- no debconf information
[iceweasel-rendering-crop.png (image/png, attachment)]

Information forwarded to debian-bugs-dist@lists.debian.org, Maintainers of Mozilla-related packages <pkg-mozilla-maintainers@lists.alioth.debian.org>:
Bug#666736; Package iceweasel. (Sun, 01 Apr 2012 16:09:04 GMT) Full text and rfc822 format available.

Acknowledgement sent to Mike Hommey <mh@glandium.org>:
Extra info received and forwarded to list. Copy sent to Maintainers of Mozilla-related packages <pkg-mozilla-maintainers@lists.alioth.debian.org>. (Sun, 01 Apr 2012 16:09:04 GMT) Full text and rfc822 format available.

Message #10 received at 666736@bugs.debian.org (full text, mbox):

From: Mike Hommey <mh@glandium.org>
To: Nicos Gollan <gtdev@spearhead.de>, 666736@bugs.debian.org
Subject: Re: Bug#666736: iceweasel: Corrupt text rendering after 10.0.3esr-3
Date: Sun, 1 Apr 2012 18:07:06 +0200
On Sun, Apr 01, 2012 at 01:54:06PM +0200, Nicos Gollan wrote:
> Package: iceweasel
> Version: 11.0-4
> Severity: important
> 
> Dear Maintainer,
> 
> After updating from 10.0.3esr-2 to 10.0.3esr-3, I am seeing a lot of
> corrupted text rendering. Spans of text (like a line, a range from the
> beginning of a line up to a change in formatting, ...) will be randomly
> corrupted, ranging from strong slanting like the pitch of a pixmap is
> wrong, to complete garbage instead of text. On some pages like iGoogle,
> the exact location and nature of the corruption changes with DOM events.
> 
> I tried updating to 11.0-4 from experimental with no effect.
> 
> Running in safe mode does not change things.
> 
> Iceweasel is so far the only application that's affected.

Try downgrading libcairo2.

Mike




Severity set to 'normal' from 'important' Request was from Mike Hommey <glandium@debian.org> to control@bugs.debian.org. (Thu, 05 Apr 2012 17:39:03 GMT) Full text and rfc822 format available.

Merged 666736 667463 Request was from Mike Hommey <glandium@debian.org> to control@bugs.debian.org. (Thu, 05 Apr 2012 17:39:04 GMT) Full text and rfc822 format available.

Bug reassigned from package 'iceweasel' to 'libcairo2'. Request was from Mike Hommey <glandium@debian.org> to control@bugs.debian.org. (Thu, 05 Apr 2012 17:39:05 GMT) Full text and rfc822 format available.

No longer marked as found in versions iceweasel/11.0-4. Request was from Mike Hommey <glandium@debian.org> to control@bugs.debian.org. (Thu, 05 Apr 2012 17:39:07 GMT) Full text and rfc822 format available.

Marked as found in versions cairo/1.12.0-1. Request was from Mike Hommey <glandium@debian.org> to control@bugs.debian.org. (Thu, 05 Apr 2012 17:39:08 GMT) Full text and rfc822 format available.

Added indication that 666736 affects iceweasel Request was from Mike Hommey <glandium@debian.org> to control@bugs.debian.org. (Thu, 05 Apr 2012 17:39:10 GMT) Full text and rfc822 format available.

Merged 666736 667463 668215 Request was from Mike Hommey <glandium@debian.org> to control@bugs.debian.org. (Mon, 09 Apr 2012 21:23:59 GMT) Full text and rfc822 format available.

Merged 666736 667463 668215 668373 Request was from Mike Hommey <glandium@debian.org> to control@bugs.debian.org. (Wed, 11 Apr 2012 12:55:26 GMT) Full text and rfc822 format available.

Information forwarded to debian-bugs-dist@lists.debian.org, Dave Beckett <dajobe@debian.org>:
Bug#666736; Package libcairo2. (Wed, 11 Apr 2012 16:42:03 GMT) Full text and rfc822 format available.

Acknowledgement sent to micah anderson <micah@riseup.net>:
Extra info received and forwarded to list. Copy sent to Dave Beckett <dajobe@debian.org>. (Wed, 11 Apr 2012 16:42:03 GMT) Full text and rfc822 format available.

Message #31 received at 666736@bugs.debian.org (full text, mbox):

From: micah anderson <micah@riseup.net>
To: 666736@bugs.debian.org
Subject: that worked
Date: Wed, 11 Apr 2012 12:37:46 -0400
[Message part 1 (text/plain, inline)]
>Try downgrading libcairo2.

that fixed the problem for me.

micah

-- 

[Message part 2 (application/pgp-signature, inline)]

Information forwarded to debian-bugs-dist@lists.debian.org, Dave Beckett <dajobe@debian.org>:
Bug#666736; Package libcairo2. (Mon, 30 Apr 2012 20:06:03 GMT) Full text and rfc822 format available.

Acknowledgement sent to Günter Frenz <guefz@freenet.de>:
Extra info received and forwarded to list. Copy sent to Dave Beckett <dajobe@debian.org>. (Mon, 30 Apr 2012 20:06:03 GMT) Full text and rfc822 format available.

Message #36 received at 666736@bugs.debian.org (full text, mbox):

From: Günter Frenz <guefz@freenet.de>
To: 666736@bugs.debian.org
Subject: iceweasel: Corrupt text rendering after 10.0.3esr-3
Date: Mon, 30 Apr 2012 22:00:39 +0200
[Message part 1 (text/plain, inline)]
The bug still exists in version 1.12.0-2.1 of libcairo2.

regards

Günter

-- 
-------------------------------------------------------
Günter Frenz
Börschgasse 16a, D-51143 Köln
(h) guefz@freenet.de, (w) fz@gso-koeln.de
-------------------------------------------------------
Linux, Irix, Solaris, HP-UX
-------------------------------------------------------


[signature.asc (application/pgp-signature, attachment)]

Information forwarded to debian-bugs-dist@lists.debian.org, Dave Beckett <dajobe@debian.org>:
Bug#666736; Package libcairo2. (Thu, 03 May 2012 15:39:03 GMT) Full text and rfc822 format available.

Acknowledgement sent to Günter Frenz <guefz@freenet.de>:
Extra info received and forwarded to list. Copy sent to Dave Beckett <dajobe@debian.org>. (Thu, 03 May 2012 15:39:03 GMT) Full text and rfc822 format available.

Message #41 received at 666736@bugs.debian.org (full text, mbox):

From: Günter Frenz <guefz@freenet.de>
To: 666736@bugs.debian.org
Subject: iceweasel: Corrupt text rendering after 10.0.3esr-3
Date: Thu, 3 May 2012 17:35:13 +0200
[Message part 1 (text/plain, inline)]
The bug still exists in version 1.12.2-1 of libcairo2.

regards

Günter

-- 
-------------------------------------------------------
Günter Frenz
Börschgasse 16a, D-51143 Köln
(h) guefz@freenet.de, (w) fz@gso-koeln.de
-------------------------------------------------------
Linux, Irix, Solaris, HP-UX
-------------------------------------------------------


[signature.asc (application/pgp-signature, attachment)]

Bug archived. Request was from Debbugs Internal Request <owner@bugs.debian.org> to internal_control@bugs.debian.org. (Sun, 17 Jun 2012 07:36:33 GMT) Full text and rfc822 format available.

Send a report that this bug log contains spam.


Debian bug tracking system administrator <owner@bugs.debian.org>. Last modified: Fri Apr 18 03:01:00 2014; Machine Name: beach.debian.org

Debian Bug tracking system
Copyright (C) 1999 Darren O. Benham, 1997,2003 nCipher Corporation Ltd, 1994-97 Ian Jackson.